<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <title>Task 28.60</title>
    <style>
        img#like-image {
            width: 10%;
        }
    </style>
</head>
<body>
    <div class = "container">
        <h1>Chào mừng đến với DevCamp 120</h1>
        <div class = "row">
            <img class = "container-fluid" src = "programing.png">
        </div>
        <div>
            <h4 class = "text-info">Message cho bạn 12 tháng tới</h4>
            <div class = "row">
                <input id="input-message" class = "col-sm-8">
                <button id="btn-gui-thong-diep" class = "btn btn-success" class = "col-sm-4">Gửi thông điệp</button>
            </div>
        </div>
        <div id="div-thong-diep">
            <p id="p-message" class = "text-success"> Thông điệp hiện ở đây </p>
            <img id="like-image" src = "like-yellow-icon.png">
        </div>
    </div>
</body>
<script>
    //REGION 2: các hàm xử lý element
    $(document).ready(function(){
        //subtask 1
        $("#div-thong-diep").hide(); 
        
        $("#btn-gui-thong-diep").on("click",function(){
            //subtask 2
            console.log("Bấm nút có id: " + $("#btn-gui-thong-diep").attr("id"));
            console.log("Ghi vào p message có id: " + $("input-message").attr("id"));
            //subtask 3
            //b1: đọc dữ liệu
            var vInputMessage = $("#input-message").val();
            //b2: kiểm tra dữ liệu
            var vCheck = dataValidation(vInputMessage);
            if (vCheck){
                //b4: hiển thị thông tin
                $("#p-message").html(vInputMessage);
                $("#div-thong-diep").show();
            }            
        })
    })
    //REGION 3: hàm xử lý sự kiện

    //REGION 4: các hàm dùng chung
    function dataValidation(paramInputMessage){
        if (paramInputMessage == ""){
            alert ("Please input message!!!");
            return false;
        }
        else return true;
    }
    
</script>
</html>